Package com.google.gwt.activity.shared

## Class AbstractActivity

- java.lang.Object
- - com.google.gwt.activity.shared.AbstractActivity

- All Implemented Interfaces:
    `Activity`

      public abstract class AbstractActivity
      extends java.lang.Object
      implements Activity

  Simple Activity implementation that is always willing to stop, and does nothing onStop and onCancel.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractActivity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `mayStop()` | Called when the user is trying to navigate away from this activity.
    `void` | `onCancel()` | Called when `Activity.start(com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.event.shared.EventBus)` has not yet replied to its callback, but the user has lost interest.
    `void` | `onStop()` | Called when the Activity's widget has been removed from view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.activity.shared.Activity

      `start`

- - ### Constructor Detail

    - #### AbstractActivity

          public AbstractActivity()

  - ### Method Detail

    - #### mayStop

          public java.lang.String mayStop()

      Description copied from interface: `Activity`
      Called when the user is trying to navigate away from this activity.
      Specified by:
        `mayStop` in interface `Activity`
      Returns:
        A message to display to the user, e.g. to warn of unsaved work, or null to say nothing

    - #### onCancel

          public void onCancel()

      Description copied from interface: `Activity`
      Called when `Activity.start(com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.event.shared.EventBus)` has not yet replied to its callback, but the user has lost interest.
      Specified by:
        `onCancel` in interface `Activity`

    - #### onStop

          public void onStop()

      Description copied from interface: `Activity`
      Called when the Activity's widget has been removed from view. All event handlers it registered will have been removed before this method is called.
      Specified by:
        `onStop` in interface `Activity`